"""

Some necessary constants

"""

# -----------------------------------------------------------------------------
# Some default values ... usually this is ok for you ;-)

MAJOR_VERSION = 2
MINOR_VESION = 2
MICRO_VERSION = 0

RELEASE = "0.3 (pre-release)"

title = "ECLiPt Roaster"
unixname = "eroaster"
version = "Version %d.%d.%d-%s" % (MAJOR_VERSION, MINOR_VESION, MICRO_VERSION, RELEASE)
year = "1998-2003"

configdirectory = ".eroaster"                 # Directory containing configuration files
deffile = "eroasterrc"                        # Name of the main configfile
shortcutfile = "shortcuts"                    # Name containing shortcuts
tipstatusfile = "tips.status"

# Frame labels
datacd = "  Data CD "
audiocd = "  Audio CD "
imagecd = "  ISO Image "
options = " Preferences "
special = " Special "
readcd = " Read CD "
copycd = " Copy CD "

iconpath = "/usr/share/eroaster/pixmaps"

localedir = "/usr/share/locale"

uixmlfile = "/usr/lib/eroaster/xml/eroaster-ui.xml"

gladedir = "/usr/lib/eroaster/glade"

frames = [datacd, audiocd, imagecd, readcd, copycd, special, options]         # List of frames

AudioCD = "Audio CD"
DataCD = "Data CD"
ImageCD = "CD Image"
modeDataCDImage = "Data CD Image"
BlankCDAll = "Blank CD (complete)"
BlankCDMinimal = "Blank CD (minimal)"
BlankCDLast = "Blank CD (last session)"
modeCopyCD = "Copy CD"
modeReadCD = "Read CD"
modeReadAudioCD = "Read Audio CD"
modeFixateCD = "Fixate CD"

ecat = "/usr/lib/eroaster/ecat.py"

systemshortcutfile = "/usr/lib/eroaster/eroaster.shortcuts"

waitreload = "/usr/lib/eroaster/waitreload.py"

socketport = 27537

# Constants for the different device types
deviceRecorder = 0
deviceReader = 1

# Constants for mp3 players
playerMpg123 = "mpg123"
playerXMMS = "xmms"
playerXinf = "xinf"

# Constants for wav encoders
encoderLame = ".mp3 (lame)"
encoderOggEnc = ".ogg (oggenc)"

# Miscellaneous constants
audioinfostring = "AudioFileInfo"

# CDR Sizes
cdrSize650 = "650MB"
cdrSize700 = "700MB"

# Startup types for ERoaster when called from ERoaster applet
eraDataCD = "--data"
eraAudioCD = "--audio"
eraCopyCD = "--copy"
eraCDImage = "--image"

# Various tips
tips = [ "ERoaster features a GNOME applet which makes burning CDs even easier.\nActivate it with a right-click on the GNOME panel. ",
         "The ERoaster file sections (data and audio) support drag & drop \nfrom most common file managers. ",
         "To use ERoaster as a user different than root, \nyou have to set the suid bit on cdrecord and cdda2wav. ",
	 "ERoaster supports saving file / song manifests as projects. \nHave a look at the File menu. ",
         "Audio tracks can easily be re-ordered by drag & drop. " ]
